<?php

class Merc_EnforcePostRules_Installer
{
	protected static $_db = null;

	public static function install($existingAddon, $addonData)
	{
		if (!$existingAddon)
		{
			self::_getDb()->query("
				ALTER TABLE xf_forum
					ADD COLUMN `require_post_rules` TINYINT UNSIGNED DEFAULT '0' NOT NULL,
					ADD COLUMN `post_rules_url` VARCHAR(150) NOT NULL,
					ADD COLUMN `post_rules_overlay` TINYINT UNSIGNED NOT NULL;
			");
		}
	}

	public static function uninstall()
	{
		self::_getDb()->query("
			ALTER TABLE xf_forum
				DROP COLUMN `post_rules_overlay`,
				DROP COLUMN `post_rules_url`,
				DROP COLUMN `require_post_rules`;
		");
	}

	protected static function _getDb()
	{
		if (self::$_db === null)
			self::$_db = XenForo_Application::get('db');

		return self::$_db;
	}
}